Manual do PHP
Anterior |  | Próxima

# DOMElement->setAttributeNS()

DOMElement->setAttributeNS() -- Adds new attribute

## Descrição

class DOMElement {
void setAttributeNS ( string namespaceURI, string qualifiedName, string value )
}

Sets an attribute with namespace namespaceURI and name name to the given value. If the attribute does not exist, it will be created.

## Lista de parâmetros

namespaceURI

  The namespace URI.

qualifiedName

  The qualified name of the attribute, as prefix:tagname.

value

  The value of the attribute.

## Valores Retornados

Não há valor retornado.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NAMESPACE_ERR`

  Raised if qualifiedName is a malformed qualified name, or if qualifiedName has a prefix and namespaceURI is `NULL`.

## Veja também

DOMElement->hasAttributeNS()
DOMElement->getAttributeNS()
DOMElement->removeAttributeNS()

Anterior | Principal | Próxima
DOMElement->setAttributeNodeNS() | Acima | DOMImplementation->createDocument()